Subject: Re: [PATCH] iommu/arm-smmu-v3-sva: Enable Hardware Access and Hardware Dirty bits

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 13 May 2026 11:32:13 -0300

On Wed, May 13, 2026 at 02:27:48PM +0000, Pranjal Shrivastava wrote:

> Now, if we're work on an SVA page, with only SMMU supporting HTTU. A DMA
> writes to the page and the process (CPU) calls fsync(). IIUC, it performs
> a lookup in the Page Cache specifically for folios tagged as DIRTY.
> Since, vmscan didn't run yet, this could potentally drop the writes..

How does it work differently in the MM when the CPU has BBM support?

Jason